# Class: YARD::Parser::Ruby::CommentNode

Inherits:
  AstNode
  - Object
  - Array
  - AstNode
  - YARD::Parser::Ruby::CommentNode
  show all

Defined in:
  lib/yard/parser/ruby/ast_node.rb

## Overview

Represents a lone comment block in source

## Managing node state collapse

- #docstring ⇒ Object (also: #comments)
- #docstring=(value) ⇒ Object
- #first_line ⇒ Object
- #source ⇒ Object

## Constructor Details

This class inherits a constructor from YARD::Parser::Ruby::AstNode

## Instance Method Details

### #docstring ⇒ `Object` Also known as: comments

    550

    # File 'lib/yard/parser/ruby/ast_node.rb', line 550

    def docstring; first end

### #docstring=(value) ⇒ `Object`

    551

    # File 'lib/yard/parser/ruby/ast_node.rb', line 551

    def docstring=(value) end

### #first_line ⇒ `Object`

    555

    # File 'lib/yard/parser/ruby/ast_node.rb', line 555

    def first_line; "" end

### #source ⇒ `Object`

    554

    # File 'lib/yard/parser/ruby/ast_node.rb', line 554

    def source; "" end